#ifndef __CTLERROR_H
#define __CTLERROR_H

#define CTL_ERROR_MESSAGE_MAX	5120
#define CTL_ERROR_MESSAGE_FORMAT	"%4$s at %2$s(%1$s:%3$d)\n"

char ctl_errmsg_main[CTL_ERROR_MESSAGE_MAX + 1];
char ctl_errmsg_tmp[CTL_ERROR_MESSAGE_MAX + 1];

void clearErrMSG();
char *addErrMSG(char *file, char *func, int line, char *message);
char *strErrMSG(int num);


#endif /* __CTLERROR_H */

